POST api/admin/searchsync/syncfrom?agencyId={agencyId}&fromDate={fromDate}&singleType={singleType}
Create and run as search sync request Processes this search sync API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| agencyId |
The unique identifier of the agency resource. |
integer |
Required |
| fromDate |
The from date value supplied with the request. |
date |
Required |
| singleType |
The single type value supplied with the request. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
The response returned after the operation completes.
PagedCollectionDataContractOfJobInvocationDetailsDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| TotalCount |
The total count value. |
integer |
None. |
| CurrentCount |
The current count value. |
integer |
None. |
| PageSize |
The page size value. |
integer |
None. |
| PageNumber |
The page number value. |
integer |
None. |
| Collection |
The collection of collection. |
Collection of JobInvocationDetailsDataContract |
None. |
Response Formats
application/json, text/json
Sample:
{
"TotalCount": 1,
"CurrentCount": 2,
"PageSize": 1,
"PageNumber": 1,
"Collection": [
{
"SupportsCancellation": true,
"ReportsProgress": true,
"InitialStatusText": "sample string 3",
"JobReference": "e1972cdc-dcb7-4d7b-a1d7-1f776e3ef827",
"Success": true
},
{
"SupportsCancellation": true,
"ReportsProgress": true,
"InitialStatusText": "sample string 3",
"JobReference": "e1972cdc-dcb7-4d7b-a1d7-1f776e3ef827",
"Success": true
}
]
}